﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows;
using Infragistics.Controls.Editors.Primitives;

namespace XamComboEditorTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            BindingList<Account> data = new BindingList<Account>();

            for (int i = 0; i < 10; i++)
            {
                Account acct = new Account();
                acct.Name = "Item " + i;
                acct.Number = i;
                data.Add(acct);
            }
            //xce.DataContext = data;
            xce2.DataContext = data;
            xce.ItemsSource = data;
            xce.SelectedValuePath = "Name";
            TextSearch.SetTextPath(xce, "Name");
        }

        private void xce_GotFocus(object sender, RoutedEventArgs e)
        {
            //search for the SpecializedTextBox element
            SpecializedTextBox text = Utilities.GetDescendantFromName(xce as DependencyObject, "TextBoxPresenter") as SpecializedTextBox;
            text.Dispatcher.BeginInvoke(new Action(() =>
            {
                text.SelectAll();
            }));
        }

        private void xce2_GotFocus(object sender, RoutedEventArgs e)
        {
            //search for the SpecializedTextBox element
            SpecializedTextBox text = Utilities.GetDescendantFromName(xce2 as DependencyObject, "TextBoxPresenter") as SpecializedTextBox;
            text.Dispatcher.BeginInvoke(new Action(() =>
            {
                text.SelectAll();
            }));
        }
    }

    public class Account
    {
        public string Name { get; set; }

        public int Number { get; set; }
    }

}
